mlmmj-maintd(1)

NAME
mlmmj-maintd - maintenance for mlmmj maintained lists

SYNOPSIS
mlmmj-maintd [-F] [-d /path/to/dir | -L /path/to/dir]

DESCRIPTION

-d <path>
    Full path to directory with lists

-L <path>
    Full path to list directory

-F  Don't fork, performing one maintenance run only.

This is the program doing the maintenance for an mlmmj based mailing list. It will unsubscribe people who have bounced for long enough, send out bounce probes, resend mails that couldn't be delivered to relayhost, clean out stale requests for e.g. subscription, resend list mails and clean up leftover files etc.

If a directory containing several lists exists, the -d can be used to specify this, making mlmmj-maintd perform a maintenance run in every listdir below the specified one.

Only either -d or -L can be specified at the same time.

It will run as a daemon, unless the -F switch is specified, in which case it just runs once. The -F option should be used when one wants to avoid running another daemon, and use e.g. cron to control it instead. In case cron is used, mlmmj-maintd should be run every 2 hours or so. An example crontab entry:

    0 */2 * * * /usr/bin/mlmmj-maintd -F -L /path/to/list

AUTHORS
This manual page was written by the following persons: Søren Boll Overgaard <boll@debian.org> (based on html2man output) Mads Martin Jørgensen <mmj@mmj.dk>